Bug 311511 - x86_64 iwl3945 NM crash after Keyring loop Deny
x86_64 iwl3945 NM crash after Keyring loop Deny
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: NM07Tracker
  Show dependency treegraph
 
Reported: 2007-09-28 14:41 EDT by Warren Togami
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 15:52:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2007-09-28 14:41:45 EDT
[root@newcaprica ~]# rpm -q NetworkManager wpa_supplicant kernel glib2 dbus-glib
dbus
NetworkManager-0.7.0-0.3.svn2907.fc8
NetworkManager-0.7.0-0.3.svn2907.fc8
wpa_supplicant-0.5.7-9.fc8
kernel-2.6.23-0.204.rc8.fc8
kernel-2.6.23-0.211.rc8.git2.fc8
kernel-2.6.23-0.213.rc8.git2.fc8
glib2-2.14.1-1.fc8
glib2-2.14.1-1.fc8
dbus-glib-0.73-4.fc8
dbus-glib-0.73-4.fc8
dbus-1.1.2-6.fc8

Hardware
========
Thinkpad T60 Widescreen
wlan0: iwl3945 wireless
eth0:  e1000 ethernet
x86-64 Fedora

Reproduce Procedure
===================
1) NetworkManager --nodaemon
2) Select WPA ssid from nm-applet.
3) Enter hex key.
4) Type in keyring passphrase.
5) It asks for keyring passphrase again.  Entering wrong passphrase says your
passphrase was incorrect.  Only way out is to Deny.
6) NetworkManager crashes...

[root@newcaprica ~]# uname -a
Linux newcaprica.boston.redhat.com 2.6.23-0.213.rc8.git2.fc8 #1 SMP Thu Sep 27
22:47:16 EDT 2007 x86_64 x86_64 x86_64 GNU/Linux

[root@newcaprica ~]# NetworkManager --no-daemon
NetworkManager: <info>  starting...
NetworkManager: <info>  eth0: Device is fully-supported using driver 'e1000'.
NetworkManager: <info>  Now managing wired Ethernet (802.3) device 'eth0'.
NetworkManager: <info>  Bringing down device eth0
NetworkManager: <info>  Bringing up device eth0
NetworkManager: <info>  Deactivating device eth0.
NetworkManager: <info>  wlan0: Device is fully-supported using driver 'iwl3945'.
NetworkManager: <info>  Now managing wireless (802.11) device 'wlan0'.
NetworkManager: <info>  Bringing down device wlan0
NetworkManager: <info>  Bringing up device wlan0
NetworkManager: <info>  Deactivating device wlan0.
NetworkManager: <info>  (eth0) supplicant interface is now in state 2 (from 1).
NetworkManager: <info>  (wlan0) supplicant interface is now in state 2 (from 1).
NetworkManager: <info>  User request for activation of wlan0.
NetworkManager: <info>  Activating device wlan0
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare)
scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure)
scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure)
starting...
NetworkManager: <info>  Activation (wlan0/wireless): access point 'Auto jorge'
has security, but secrets are required.
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info>  (wlan0) Supplicant interface state change: 1 -> 2
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare)
scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure)
scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure)
starting...
NetworkManager: <info>  Activation (wlan0/wireless): connection 'Auto jorge' has
security, and secrets exist.  No new secrets needed.
NetworkManager: <info>  Config: added 'ssid' value 'jorge'
NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-PSK'
NetworkManager: <info>  Config: added 'proto' value 'WPA'
NetworkManager: <info>  Config: added 'psk' value '<omitted>'
NetworkManager: <info>  Config: added 'pairwise' value 'TKIP'
NetworkManager: <info>  Config: added 'group' value 'TKIP'
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info>  (wlan0) Supplicant interface state change: 2 -> 0
NetworkManager: <WARN>  set_network_cb(): Couldn't set network config: Did not
receive correct message arguments..
NetworkManager: <info>  Activation (wlan0/wireless): association request to the
supplicant failed: fi.epitest.hostap.WPASupplicant.InvalidOptions - Did not
receive correct message arguments.
NetworkManager: <info>  Activation (wlan0) failed for access point (jorge)
NetworkManager: <info>  Activation (wlan0) failed.
NetworkManager: <info>  Deactivating device wlan0.

(NetworkManager:8273): GLib-GObject-CRITICAL **: g_object_get_data: assertion
`G_IS_OBJECT (object)' failed
NetworkManager: <info>  disconnected by the system bus.
libhal.c 3458 : Error unsubscribing to signals, error=Connection is closed
NetworkManager: <WARN>  hal_deinit(): libhal shutdown failed - Connection is closed
NetworkManager: dispatch_signal: assertion `sender != NULL' failed
NetworkManager: <info>  reconnected to the system bus.
NetworkManager: <WARN>  nm_dbus_manager_init_bus(): DBus Manager already has a
valid connection.
NetworkManager: <info>  disconnected by the system bus.

(NetworkManager:8273): GLib-GObject-WARNING **: instance of invalid
non-instantiatable type `(null)'

(NetworkManager:8273): GLib-GObject-CRITICAL **: g_signal_handlers_destroy:
assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(NetworkManager:8273): GLib-GObject-WARNING **: instance of invalid
non-instantiatable type `(null)'

(NetworkManager:8273): GLib-GObject-CRITICAL **: g_signal_handlers_destroy:
assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
NetworkManager: <WARN>  nm_dbus_manager_start_service(): Could not acquire the
NetworkManager service as itis already taken.  Return: 4
NetworkManager: <info>  disconnected by the system bus.
NetworkManager: <WARN>  nm_dbus_manager_start_service(): Could not acquire the
NetworkManager service as itis already taken.  Return: 4
NetworkManager: <info>  disconnected by the system bus.
NetworkManager: <WARN>  nm_dbus_manager_start_service(): Could not acquire the
NetworkManager service as itis already taken.  Return: 4
NetworkManager: <info>  disconnected by the system bus.
NetworkManager: <WARN>  nm_signal_handler(): Caught signal 11.  Generating
backtrace...
NetworkManager: ******************* START **********************************
NetworkManager: Using host libthread_db library "/lib64/libthread_db.so.1".

warning: Missing the separate debug info file:
/usr/lib/debug/.build-id/45/5e0cb19187572d27abc42b2926ccaed0134fbd.debug

warning: Missing the separate debug info file:
/usr/lib/debug/.build-id/b0/e8b56c277a2a47767e278003839019b6641add.debug
NetworkManager: [Thread debugging using libthread_db enabled]
NetworkManager: [New Thread 46912498412448 (LWP 8273)]

warning: Missing the separate debug info file:
/usr/lib/debug/.build-id/80/b1fc16022c510f5775ab80ef7c1ac8a6eeeb44.debug

warning: Missing the separate debug info file:
/usr/lib/debug/.build-id/f5/f3b510af236cf3bc203da03affc9fdf05bbb58.debug
NetworkManager: 0x0000003d2520e0c5 in __libc_waitpid (pid=8298,
stat_loc=0x7fffa7891e2c, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:32
NetworkManager: 32            return INLINE_SYSCALL (wait4, 4, pid, stat_loc,
options, NULL);
NetworkManager: #0  0x0000003d2520e0c5 in __libc_waitpid (pid=8298,
stat_loc=0x7fffa7891e2c, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:32
NetworkManager: #1  0x00000000004216d1 in nm_logging_backtrace () at nm-logging.c:70
NetworkManager: #2  0x000000000041e374 in nm_signal_handler (signo=<value
optimized out>) at NetworkManager.c:124
NetworkManager: #3  <signal handler called>
NetworkManager: #4  IA__g_slice_alloc (mem_size=96) at gslice.c:474
NetworkManager: #5  0x0000003d27249f96 in IA__g_slice_alloc0 (mem_size=1) at
gslice.c:833
NetworkManager: #6  0x0000003d2922994f in IA__g_type_create_instance
(type=6638704) at gtype.c:1549
NetworkManager: #7  0x0000003d292119ed in g_object_constructor (type=1,
n_construct_properties=6748928, construct_params=0x6497f0) at gobject.c:1046
NetworkManager: #8  0x0000003d31c1143d in dbus_g_proxy_constructor
(type=6638704, n_construct_properties=4, construct_properties=0x66b1e0) at
dbus-gproxy.c:1333
NetworkManager: #9  0x0000003d2920f824 in IA__g_object_newv
(object_type=6638704, n_parameters=6659072, parameters=0x0) at gobject.c:937
NetworkManager: #10 0x0000003d292102fe in IA__g_object_new_valist
(object_type=6638704, first_property_name=0x0, var_args=0x7fffa7892720) at
gobject.c:1027
NetworkManager: #11 0x0000003d292104a1 in IA__g_object_new (object_type=6638704,
first_property_name=0x3d31c1894e "name") at gobject.c:795
NetworkManager: #12 0x0000003d31c10f56 in manager_begin_bus_call
(manager=0x657590, method=0x3d31c18995 "GetNameOwner", notify=0x3d31c0ec20
<got_name_owner_cb>, user_data=0x66fc00, destroy=0, 
NetworkManager:     first_arg_type=64) at dbus-gproxy.c:1777
NetworkManager: #13 0x0000003d31c112f8 in dbus_g_proxy_manager_register
(manager=0x657590, proxy=0x66fc00) at dbus-gproxy.c:961
NetworkManager: #14 0x0000003d31c1147b in dbus_g_proxy_constructor
(type=6638704, n_construct_properties=4, construct_properties=<value optimized
out>) at dbus-gproxy.c:1349
NetworkManager: #15 0x0000003d2920f824 in IA__g_object_newv
(object_type=6638704, n_parameters=4, parameters=0x673190) at gobject.c:937
NetworkManager: #16 0x0000003d292102fe in IA__g_object_new_valist
(object_type=6638704, first_property_name=0x0, var_args=0x7fffa7892c30) at
gobject.c:1027
NetworkManager: #17 0x0000003d292104a1 in IA__g_object_new (object_type=6638704,
first_property_name=0x3d31c1894e "name") at gobject.c:795
NetworkManager: #18 0x0000003d31c0e7d1 in dbus_g_proxy_new (connection=0x65a778,
name=0x437ce5 "org.freedesktop.DBus", path_name=0x437cfa "/org/freedesktop/DBus", 
NetworkManager:     interface_name=0x437ce5 "org.freedesktop.DBus") at
dbus-gproxy.c:1856
NetworkManager: #19 0x000000000041bbf1 in nm_dbus_manager_init_bus
(self=0x655c00) at nm-dbus-manager.c:595
NetworkManager: #20 0x000000000041bdb4 in nm_dbus_manager_reconnect
(user_data=<value optimized out>) at nm-dbus-manager.c:203
NetworkManager: #21 0x0000003d2722f61b in g_timeout_dispatch (source=0x66d730,
callback=0x66fb00, user_data=0x6497f0) at gmain.c:3488
NetworkManager: #22 0x0000003d2722eee3 in IA__g_main_context_dispatch
(context=0x654ea0) at gmain.c:2061
NetworkManager: #23 0x0000003d272321dd in g_main_context_iterate
(context=0x654ea0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2694
NetworkManager: #24 0x0000003d272324ea in IA__g_main_loop_run (loop=0x651440) at
gmain.c:2898
NetworkManager: #25 0x000000000041ea6b in main (argc=1, argv=0x7fffa7894288) at
NetworkManager.c:379
NetworkManager: 
NetworkManager: Thread 1 (Thread 46912498412448 (LWP 8273)):
NetworkManager: #0  0x0000003d2520e0c5 in __libc_waitpid (pid=8298,
stat_loc=0x7fffa7891e2c, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:32
NetworkManager:         oldtype = <value optimized out>
NetworkManager:         result = <value optimized out>
NetworkManager: #1  0x00000000004216d1 in nm_logging_backtrace () at nm-logging.c:70
NetworkManager: st_blocks = 24, 
NetworkManager: 0}}
NetworkManager: #2  0x000000000041e374 in nm_signal_handler (signo=<value
optimized out>) at NetworkManager.c:124
NetworkManager:         in_fatal = 1
NetworkManager: 
NetworkManager: #3  <signal handler called>
NetworkManager: No locals.
NetworkManager: #4  IA__g_slice_alloc (mem_size=96) at gslice.c:474
NetworkManager:         tmem = (ThreadMemory *) 0x649790
NetworkManager: 
NetworkManager:         chunk_size = <value optimized out>
NetworkManager:         mem = <value optimized out>
NetworkManager:         acat = <value optimized out>
NetworkManager: #5  0x0000003d27249f96 in IA__g_slice_alloc0 (mem_size=1) at
gslice.c:833
NetworkManager:         mem = <value optimized out>
NetworkManager: #6  0x0000003d2922994f in IA__g_type_create_instance
(type=6638704) at gtype.c:1549
NetworkManager:         node = (TypeNode *) 0x654c70
NetworkManager:         instance = <value optimized out>
NetworkManager:         class = (GTypeClass *) 0x658da0
NetworkManager:         i = <value optimized out>
NetworkManager: 6
NetworkManager:         object = (GObject *) 0x663640
NetworkManager: #8  0x0000003d31c1143d in dbus_g_proxy_constructor
(type=6638704, n_construct_properties=4, construct_properties=0x66b1e0) at
dbus-gproxy.c:1333
NetworkManager:         proxy = <value optimized out>
NetworkManager:         priv = <value optimized out>
NetworkManager: 
NetworkManager: #9  0x0000003d2920f824 in IA__g_object_newv
(object_type=6638704, n_parameters=6659072, parameters=0x0) at gobject.c:937
NetworkManager:         value = (GValue *) 0x66b210
NetworkManager:         pspec = (GParamSpec *) 0x66b230
NetworkManager:         cparams = (GObjectConstructParam *) 0x6497f0
NetworkManager:         oparams = <value optimized out>
NetworkManager:         nqueue = <value optimized out>
NetworkManager:         object = <value optimized out>
NetworkManager:         class = (GObjectClass *) 0x658da0
NetworkManager: (GObjectClass *) 0x0
NetworkManager:         slist = <value optimized out>
NetworkManager:         n_total_cparams = 4
NetworkManager: 
NetworkManager: 
NetworkManager: 
NetworkManager:         cvalues = <value optimized out>
NetworkManager:         clist = (GList *) 0x0
NetworkManager:         i = <value optimized out>
NetworkManager: 
NetworkManager: #10 0x0000003d292102fe in IA__g_object_new_valist
(object_type=6638704, first_property_name=0x0, var_args=0x7fffa7892720) at
gobject.c:1027
NetworkManager:         _cvalue = <value optimized out>
NetworkManager:         error = (gchar *) 0x0
NetworkManager:         pspec = (GParamSpec *) 0x64cc10
NetworkManager:         params = (GParameter *) 0x66afb0
NetworkManager:         name = (const gchar *) 0x0
NetworkManager:         object = <value optimized out>
NetworkManager: 
NetworkManager:         n_alloced_params = 16
NetworkManager: 
NetworkManager: #11 0x0000003d292104a1 in IA__g_object_new (object_type=6638704,
first_property_name=0x3d31c1894e "name") at gobject.c:795
NetworkManager: reg_save_area = 0x7fffa7892740}}
NetworkManager: 
NetworkManager: #12 0x0000003d31c10f56 in manager_begin_bus_call
(manager=0x657590, method=0x3d31c18995 "GetNameOwner", notify=0x3d31c0ec20
<got_name_owner_cb>, user_data=0x66fc00, destroy=0, 
NetworkManager:     first_arg_type=64) at dbus-gproxy.c:1777
NetworkManager:         _cvalue = <value optimized out>
NetworkManager:         _value_type = <value optimized out>
NetworkManager:         _vtable = <value optimized out>
NetworkManager:         _collect_format = <value optimized out>
NetworkManager: v_long = 6672832, v_int64 = 6672832, v_double =
3.2968170516701369e-317, v_pointer = 0x65d1c0}, {v_int = 6648576, v_long = 6648576, 
NetworkManager: t64 = 6749184, v_double = 3.3345399518614077e-317, 
NetworkManager:     v_pointer = 0x66fc00}, {v_int = 6672832, v_long = 6672832,
v_int64 = 6672832, v_double = 3.2968170516701369e-317, v_pointer = 0x65d1c0},
{v_int = 6662000, v_long = 6662000, 
NetworkManager: double = 3.2914653325943845e-317, v_pointer = 0x65a770}, {v_int
= 6648576, v_long = 6648576, v_int64 = 6648576, v_double = 3.2848329953646116e-317, 
NetworkManager: 14077e-317, v_pointer = 0x66fc00}, {v_int = 6749216, v_long =
6749216, 
NetworkManager: v_pointer = 0x66fc20}}
NetworkManager:         _n_values = <value optimized out>
NetworkManager:         val = <value optimized out>
NetworkManager:         valtype = <value optimized out>
NetworkManager:         args = {{gp_offset = 48, fp_offset = 48,
overflow_arg_area = 0x7fffa78929a0, reg_save_area = 0x7fffa78928b0}}
NetworkManager: imized out>
NetworkManager: 
NetworkManager: #13 0x0000003d31c112f8 in dbus_g_proxy_manager_register
(manager=0x657590, proxy=0x66fc00) at dbus-gproxy.c:961
NetworkManager:         owner = 0x0
NetworkManager:         info = <value optimized out>
NetworkManager:         list = (DBusGProxyList *) 0x65cbb0
NetworkManager: 
NetworkManager: #14 0x0000003d31c1147b in dbus_g_proxy_constructor
(type=6638704, n_construct_properties=4, construct_properties=<value optimized
out>) at dbus-gproxy.c:1349
NetworkManager:         proxy = (DBusGProxy *) 0x66fc00
NetworkManager:         priv = (DBusGProxyPrivate *) 0x10
NetworkManager: 
NetworkManager: #15 0x0000003d2920f824 in IA__g_object_newv
(object_type=6638704, n_parameters=4, parameters=0x673190) at gobject.c:937
NetworkManager:         value = (GValue *) 0x6731f8
NetworkManager:         pspec = (GParamSpec *) 0x659c00
NetworkManager:         cparams = (GObjectConstructParam *) 0x6497f0
NetworkManager:         oparams = <value optimized out>
NetworkManager:         nqueue = <value optimized out>
NetworkManager:         object = <value optimized out>
NetworkManager:         class = (GObjectClass *) 0x658da0
NetworkManager: (GObjectClass *) 0x0
NetworkManager:         slist = <value optimized out>
NetworkManager:         n_total_cparams = 4
NetworkManager: 
NetworkManager: 
NetworkManager: 
NetworkManager:         cvalues = <value optimized out>
NetworkManager:         clist = (GList *) 0x0
NetworkManager:         i = <value optimized out>
NetworkManager: 
NetworkManager: #16 0x0000003d292102fe in IA__g_object_new_valist
(object_type=6638704, first_property_name=0x0, var_args=0x7fffa7892c30) at
gobject.c:1027
NetworkManager:         _cvalue = <value optimized out>
NetworkManager:         error = (gchar *) 0x0
NetworkManager:         pspec = (GParamSpec *) 0x659870
NetworkManager:         params = (GParameter *) 0x673190
NetworkManager:         name = (const gchar *) 0x0
NetworkManager:         object = <value optimized out>
NetworkManager: 
NetworkManager: 
NetworkManager: 
NetworkManager: #17 0x0000003d292104a1 in IA__g_object_new (object_type=6638704,
first_property_name=0x3d31c1894e "name") at gobject.c:795
NetworkManager: reg_save_area = 0x7fffa7892c50}}
NetworkManager: 
NetworkManager: #18 0x0000003d31c0e7d1 in dbus_g_proxy_new (connection=0x65a778,
name=0x437ce5 "org.freedesktop.DBus", path_name=0x437cfa "/org/freedesktop/DBus", 
NetworkManager:     interface_name=0x437ce5 "org.freedesktop.DBus") at
dbus-gproxy.c:1856
NetworkManager: 
NetworkManager: #19 0x000000000041bbf1 in nm_dbus_manager_init_bus
(self=0x655c00) at nm-dbus-manager.c:595
NetworkManager:         priv = (NMDBusManagerPrivate *) 0x655c20
NetworkManager:         err = (GError *) 0x0
NetworkManager: name = 0x2 <Address 0x2 out of bounds>, message = 0x65d1c0
"\001", dummy1 = 0, dummy2 = 0, dummy3 = 0, dummy4 = 0, dummy5 = 0, padding1 =
0x3d2ec205b6}
NetworkManager:         success = <value optimized out>
NetworkManager: 
NetworkManager: #20 0x000000000041bdb4 in nm_dbus_manager_reconnect
(user_data=<value optimized out>) at nm-dbus-manager.c:203
NetworkManager:         self = (NMDBusManager *) 0x1
NetworkManager: 
NetworkManager: #21 0x0000003d2722f61b in g_timeout_dispatch (source=0x66d730,
callback=0x66fb00, user_data=0x6497f0) at gmain.c:3488
NetworkManager: No locals.
NetworkManager: #22 0x0000003d2722eee3 in IA__g_main_context_dispatch
(context=0x654ea0) at gmain.c:2061
NetworkManager: No locals.
NetworkManager: #23 0x0000003d272321dd in g_main_context_iterate
(context=0x654ea0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2694
NetworkManager:         got_ownership = <value optimized out>
NetworkManager: 
NetworkManager:         timeout = 0
NetworkManager: 
NetworkManager:         nfds = <value optimized out>
NetworkManager:         allocated_nfds = <value optimized out>
NetworkManager:         fds = (GPollFD *) 0x667ed0
NetworkManager: 
NetworkManager: #24 0x0000003d272324ea in IA__g_main_loop_run (loop=0x651440) at
gmain.c:2898
NetworkManager:         got_ownership = <value optimized out>
NetworkManager:         self = (GThread *) 0x64d3b0
NetworkManager: 
NetworkManager: #25 0x000000000041ea6b in main (argc=1, argv=0x7fffa7894288) at
NetworkManager.c:379
NetworkManager:         opt_ctx = <value optimized out>
NetworkManager:         become_daemon = 0
NetworkManager:         show_usage = 0
NetworkManager: 
NetworkManager:         user_pidfile = 0x0
NetworkManager:         policy = (NMPolicy *) 0x651350
NetworkManager:         hal_manager = (NMHalManager *) 0x653920
NetworkManager:         vpn_manager = (NMVPNManager *) 0x64c000
NetworkManager:         named_mgr = <value optimized out>
NetworkManager:         dbus_mgr = (NMDBusManager *) 0x655c00
NetworkManager:         dbus_connection = <value optimized out>
NetworkManager: mgr = (NMSupplicantManager *) 0x64bf80
NetworkManager:         exit_status = 0
NetworkManager:         options = {{long_name = 0x439666 "no-daemon", short_name
= 0 '\0', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7fffa789414c, 
NetworkManager:  = 0x0}, {long_name = 0x439686 "pid-file", short_name = 0 '\0',
flags = 0, arg = G_OPTION_ARG_FILENAME, 
NetworkManager: 698 "info", 
NetworkManager:     short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_NONE,
arg_data = 0x7fffa7894148, description = 0x43969d "Show application
information", arg_description = 0x0}, {
NetworkManager: ONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
NetworkManager: 
NetworkManager: 0x0000003d2520e0c5      32            return INLINE_SYSCALL
(wait4, 4, pid, stat_loc, options, NULL);
NetworkManager: The program is running.  Quit anyway (and detach it)? (y or n)
[answered Y; input not from terminal]
NetworkManager: ******************* END **********************************
Comment 1 Jeremy Katz 2007-09-28 17:07:41 EDT
FWIW, I can't reproduce this on 32bit... so looking like x86_64 only
Comment 2 Dan Williams 2007-10-24 12:01:52 EDT
can somebody test on x86-64 with latest packages? it should survive keyring denials.
Comment 3 Matthew Saltzman 2007-10-25 19:39:47 EDT
Tried with NetworkManager-0.7.0-0.3.svn3020.fc8.x86_64.  Entering incorrect
passwords is an endless loop.  Clicking "deny" does not crash NM or nm-applet.
(The first time, nm-applet icon did not display correctly, but it didn't crash.)

Clicking deny pops up a dialog asking the name of an existing network to connect
to, but there is no blank for the name, only for the security type and password.
 There's a pulldown menu in the dialog box whose title I don't recall, but there
are no options when it's pulled down.
Comment 4 Rahul Sundaram 2007-10-28 18:25:14 EDT
Can you please try the latest build and report back?

http://koji.fedoraproject.org/koji/buildinfo?buildID=22556
Comment 5 Jeremy Katz 2007-10-29 15:52:03 EDT
This looks good with current trees

Note You need to log in before you can comment on or make changes to this bug.